Summary:  Ledger is a highly flexible, double-entry accounting system
Name: 	  ledger
Version:  2.6.0.90
Release:  alt1
License:  %bsd
Group:    Office
URL:	  http://www.newartisans.com/software/ledger.html
Source:   %name-%version.tar.bz2
Patch:    %name-%version-alt-makefile.patch
Requires: libledger = %version-%release

BuildPreReq: rpm-build-licenses

# Automatically added by buildreq on Fri Feb 29 2008
BuildRequires: boost-python-devel emacs-X11 emacs-leim gcc-c++ glibc-devel-static libexpat-devel libgmp-devel libofx-devel libpcre-devel python-devel

%description
Ledger is an accounting program which is invoked from the command-line
using a textual ledger file.  To start using Ledger, you will need to
create such a file containing your financial transactions.  A sample
has been provided in the file "sample.dat".  See the documentation
(ledger.pdf, or ledger.info) for full documentation on creating a
ledger file and using Ledger to generate reports.


%package -n libledger
Summary: Libraries for ledger accounting system
Group: System/Libraries

%description -n libledger
Ledger is an accounting program which is invoked from the command-line
using a textual ledger file.  To start using Ledger, you will need to
create such a file containing your financial transactions.  A sample
has been provided in the file "sample.dat".  See the documentation
(ledger.pdf, or ledger.info) for full documentation on creating a
ledger file and using Ledger to generate reports.

This package contains libraries for ledger to use.

%package -n libledger-devel
Summary: Development files for ledger accounting system
Group: Development/C
Requires: libledger = %version-%release

%description -n libledger-devel
Ledger is an accounting program which is invoked from the command-line
using a textual ledger file.  To start using Ledger, you will need to
create such a file containing your financial transactions.  A sample
has been provided in the file "sample.dat".  See the documentation
(ledger.pdf, or ledger.info) for full documentation on creating a
ledger file and using Ledger to generate reports.

This package contains files needed for developing programs using
ledger facilities.

%package -n ledger-python
Summary: Python bindings for ledger
Group: Development/Python
Requires: libledger = %version-%release

%description -n ledger-python
Ledger is an accounting program which is invoked from the command-line
using a textual ledger file.  To start using Ledger, you will need to
create such a file containing your financial transactions.  A sample
has been provided in the file "sample.dat".  See the documentation
(ledger.pdf, or ledger.info) for full documentation on creating a
ledger file and using Ledger to generate reports.

This package contains python bindings for some of ledger
functionality.

%package -n emacs-ledger
Summary: Emacs mode for ledger accounting system
Group: Editors
Requires: ledger = %version-%release

%description -n emacs-ledger
Ledger is an accounting program which is invoked from the command-line
using a textual ledger file.  To start using Ledger, you will need to
create such a file containing your financial transactions.  A sample
has been provided in the file "sample.dat".  See the documentation
(ledger.pdf, or ledger.info) for full documentation on creating a
ledger file and using Ledger to generate reports.

This package contains emacs libraries to ease use of ledger.

%prep
%setup -q
%patch -p1
touch AUTHORS
%autoreconf

%build
%add_optflags -I /usr/include/pcre
%add_optflags -I /usr/include/libofx
%add_optflags -I /usr/include/python2.5
%configure --disable-static --enable-xml --enable-ofx --enable-python
make


%install
%makeinstall


%files
%doc INSTALL LICENSE README NEWS sample.dat 
%_bindir/%name
%_infodir/*

%files -n libledger
%_libdir/*.so.*
%_libdir/libledger-*.so

%files -n libledger-devel
%_includedir/%name
%_libdir/libledger.so
%_libdir/libamounts.so

%files -n ledger-python
%_libdir/python*/site-packages/*

%files -n emacs-ledger
%_emacslispdir/*



%changelog
* Fri Feb 29 2008 Alexey Voinov <voins@altlinux.ru> 2.6.0.90-alt1
- initial build

